#include<reg52.h>  //包含52系列单片机头文件
sbit LED1=P1^0;   //LED小灯位定义
sbit KEY1=P3^4;   //按键S2定位义
void main()
{
	KEY1=1;   //先给按键S2对应的I/O口置1
	while(1)    //在while大循环内，不停的对按键进行检测
	{
		if(KEY1==0)  //读按键S2对应的I/0是否等于1
			LED1=0;  //若是0，说明按键已按下，小灯亮起
		else 
			LED1=1;  //若是1，说明按键没有按下，小灯不亮
	}
}